ScanopyScanopy
Daemon API Keys

List all Daemon API Keys

GET
/api/v1/auth/daemon

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Query Parameters

network_id?|

Filter by network ID

ids?array<>|

Filter by specific entity IDs (for selective loading)

limit?|

Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.

offset?|

Number of results to skip. Default: 0.

Response Body

application/json

curl -X GET "https://example.com/api/v1/auth/daemon"
{
  "data": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "key": "string",
      "last_used": "2019-08-24T14:15:22Z",
      "name": "string",
      "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
      "tags": [
        "a424dc99-d215-4281-ad2d-a3a9bc179925"
      ],
      "updated_at": "2019-08-24T14:15:22Z",
      "daemon_id": "0f0cd6bf-ac90-457b-aa3f-6f24990d5ff6",
      "expires_at": "2019-08-24T14:15:22Z",
      "is_enabled": true
    }
  ],
  "meta": {
    "api_version": 1,
    "pagination": {
      "has_more": true,
      "limit": 50,
      "offset": 0,
      "total_count": 142
    },
    "server_version": "0.17.14"
  },
  "success": true,
  "error": "string"
}